<template>
  <header class="header">
    <v-app-bar
      color="#324661"
      class="full-screen"
    >
      <v-toolbar-title>
        <router-link
          to="/deal"
        >
          <v-img src="../assets/img/general/logo.png"></v-img>
        </router-link>
      </v-toolbar-title>
      <v-spacer></v-spacer>
      <v-col cols="9">
        <v-row
        >
          <router-link
            v-for="tab in tabs" :key="tab.link"
            :to="{ path: tab.link }"
            tag="div"
            class="mx-20"
            style="margin-right: 8px;"
          >
            <v-btn
              depressed
              rounded
              text
              tile
              color="#fff"
            >
              <v-icon style="margin-right: 10px" color="#fff">mdi-star-four-points-outline</v-icon>
              <span :class="{'active-tab':$route.path === tab.link}">{{tab.name}}</span>
            </v-btn>
          </router-link>
        </v-row>
      </v-col>
      <v-col cols="1">
        <div class="text-center">
          <v-menu>
            <template v-slot:activator="{ on, attrs }">
              <v-btn
                v-bind="attrs"
                v-on="on"
                depressed
                rounded
                text
                tile
                color="#fff"
                v-if="user"
              >
                {{user && user.username || ''}}
                <v-icon>mdi-menu-down</v-icon>
              </v-btn>
            </template>

            <v-list>
              <v-list-item @click="onClick">
                <v-list-item-title>Профиль</v-list-item-title>
              </v-list-item>

              <v-list-item disabled>
                <v-list-item-title>Настроки</v-list-item-title>
              </v-list-item>

              <v-list-item @click="logOut">
                <v-list-item-title>Выйти</v-list-item-title>
              </v-list-item>
            </v-list>
          </v-menu>
        </div>
      </v-col>
    </v-app-bar>

    <!--МОБИЛЬНАЯ ШАПКА-->
    <v-app-bar
      color="#324661"
      dense
      dark
      class="mobile-header"
    >
      <v-app-bar-nav-icon @click.stop="drawer = !drawer"></v-app-bar-nav-icon>

      <v-toolbar-title>
        <router-link to="/deal" tag="div" style="cursor: pointer;">Онлайн Автоюрист</router-link>
      </v-toolbar-title>

      <v-spacer></v-spacer>

    </v-app-bar>
    <!--БОКОВОЕ МЕНЮ-->
    <v-navigation-drawer
      v-model="drawer"
      absolute
      temporary
      style="z-index: 300000"
    >
      <v-list-item>
        <v-list-item-avatar>
          <v-img src="https://randomuser.me/api/portraits/men/78.jpg"></v-img>
        </v-list-item-avatar>

        <v-list-item-content>
          <v-list-item-title>
            <v-menu
              left
              bottom
            >
              <template v-slot:activator="{ on, attrs }">
                <v-btn
                  v-bind="attrs"
                  v-on="on"
                  text
                  width="100%"
                  class="mx-auto d-flex"
                  v-if="user"
                >
                  {{user && user.username || ''}}
                </v-btn>
              </template>

              <v-list>
                <v-list-item @click="onClick">
                  <v-list-item-title>Профиль</v-list-item-title>
                </v-list-item>
                <v-list-item @click="onClick">
                  <v-list-item-title>Настроки</v-list-item-title>
                </v-list-item>
                <v-list-item @click="onClick">
                  <v-list-item-title>Выйти</v-list-item-title>
                </v-list-item>
              </v-list>
            </v-menu>
          </v-list-item-title>
        </v-list-item-content>
      </v-list-item>

      <v-divider></v-divider>
      <v-list dense>
        <router-link
          v-for="tab in tabs" :key="`left-bar-link-${tab.link}`"
          :to="{ path: tab.link }"
        >
          <v-list-item
            link
            v-show="tab !== tabs[1]"
          >
            <v-list-item-content>
              <v-list-item-title>
                {{ tab.name }}
              </v-list-item-title>
            </v-list-item-content>
          </v-list-item>
        </router-link>

        <v-list-group
          v-for="tab in tabs" :key="`link-${tab.link}`"
          v-show="tab === tabs[1]"
          no-action
        >
          <template v-slot:activator>
            <v-list-item-content>
              <v-list-item-title v-text="tab.name"></v-list-item-title>
            </v-list-item-content>
          </template>
          <router-link
            v-for="preTab in tab.preTabs"
            :key="`pretab-link-${preTab.link}`"
            :to="{ path: preTab.link }"
          >
            <v-list-item
              link
            >
              <v-list-item-title>
                {{ preTab.name }}
              </v-list-item-title>
            </v-list-item>
          </router-link>
        </v-list-group>
      </v-list>
    </v-navigation-drawer>
  </header>
</template>

<script>
import {mapActions} from 'vuex'

export default {
  name: 'Header',
  data () {
    return {
      tabs: [
        { name: 'Сделки', link: '/deal' },
        // {
        //   name: 'Списки',
        //   preTabs: [
        //     { name: 'Документы', link: '/documents' },
        //     { name: 'Регионы', link: '/deal' },
        //     { name: 'Статьи', link: '/articles' },
        //     { name: 'Категории', link: '/deal' },
        //     { name: 'Услуги', link: '/deal' },
        //     { name: 'Шаблоны SMS/WA', link: '/deal' },
        //     { name: 'Шаблоны документов', link: '/temp-docs' }
        //   ]
        // },
        { name: 'Документация', link: '/documents' },
        { name: 'Задачи', link: '/tasks' },
        { name: 'Аналитика', link: '/analytics' },
        { name: 'Настройки', link: '/settings' }
      ],
      user: {
        username: "IVAN"
      },
      drawer: false
    }
  },
  created () {
    this.user = JSON.parse(localStorage.getItem('user'))
  },
  methods: {
    ...mapActions(["GO_OUT"]),
    onClick () {
      // Выполняем нужные действия
    },
    logOut() {
      this.GO_OUT().then(()=> this.$router.replace({name: "Auth"}))
    }
  }
}
</script>

<style scoped lang="scss">
  .full-screen {
    display: block;
    @media (max-width: 1200px) {
      display: none;
    }
  }
  .mobile-header {
    display: none;
    @media (max-width: 1200px) {
      display: block;
    }
  }
  .active-tab {
    border-bottom: 1px solid rgba(255,255,255,0.5);
  }
</style>
